#!/usr/bin/env python
"""
setup.py - script for building 1001Screenshot

Usage:
    % python setup.py py2app
"""
from distutils.core import setup
import py2app

NAME = '1001Screenshot'
VERSION = '1.0'
COPYRIGHT = u'\xa9 2005 Nicholas Riley'

plist = dict(
    CFBundleName=NAME,
    CFBundleVersion=VERSION,
    CFBundleShortVersionString=VERSION,
    CFBundleGetInfoString='%s %s, %s' % (NAME, VERSION, COPYRIGHT),
    CFBundleExecutable=NAME,
    CFBundleIdentifier='net.sabi.1001screenshot',
    NSHumanReadableCopyright=COPYRIGHT,
    LSUIElement=1,
)


setup(
    app=[
        dict(script='screenshot.py', plist=plist),
    ],
    options=dict(
        py2app=dict(resources=['/usr/local/bin/launch']),
    )
)
